package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class Vcontabilizzazione.
 * @see sicura.entities.Vcontabilizzazione
 * @author Hibernate Tools
 */
@Stateless
public class VcontabilizzazioneHome {

	private static final Log log = LogFactory.getLog(VcontabilizzazioneHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(Vcontabilizzazione transientInstance) {
		log.debug("persisting Vcontabilizzazione instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(Vcontabilizzazione persistentInstance) {
		log.debug("removing Vcontabilizzazione instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public Vcontabilizzazione merge(Vcontabilizzazione detachedInstance) {
		log.debug("merging Vcontabilizzazione instance");
		try {
			Vcontabilizzazione result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public Vcontabilizzazione findById(VcontabilizzazioneId id) {
		log.debug("getting Vcontabilizzazione instance with id: " + id);
		try {
			Vcontabilizzazione instance = entityManager.find(Vcontabilizzazione.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
